# Class PlayerThumbnailTracksChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerThumbnailTracksChangedEvent

#####
Index

### Constructors

constructor

### Properties

tracks
type

## Constructors

### constructor

- new PlayerThumbnailTracksChangedEvent(tracks): PlayerThumbnailTracksChangedEvent

- #### Parameters

  - tracks: ThumbnailTrack[]

  #### Returns PlayerThumbnailTracksChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` tracks

tracks: ThumbnailTrack[]

### `Readonly` type

type: "playerThumbnailTracksChanged" = Events.PlayerThumbnailTracksChanged

Overrides BasePlayerEvent.type